Package io.vertx.serviceproxy.generator.model

## Class ProxyMethodInfo

- java.lang.Object
- - io.vertx.codegen.processor.MethodInfo
  - - io.vertx.serviceproxy.generator.model.ProxyMethodInfo

- All Implemented Interfaces:
    `Comparable<io.vertx.codegen.processor.MethodInfo>`
  Direct Known Subclasses:
    `WebApiProxyMethodInfo`

      public class ProxyMethodInfo
      extends io.vertx.codegen.processor.MethodInfo

  Author:
    Tim Fox

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProxyMethodInfo​(Set<io.vertx.codegen.processor.type.ClassTypeInfo> ownerTypes, String name, io.vertx.codegen.processor.type.TypeInfo returnType, io.vertx.codegen.processor.doc.Text returnDescription, boolean fluent, boolean cacheReturn, List<io.vertx.codegen.processor.ParamInfo> params, String comment, io.vertx.codegen.processor.doc.Doc doc, boolean staticMethod, boolean defaultMethod, List<io.vertx.codegen.processor.TypeParamInfo.Method> typeParams, boolean proxyIgnore, boolean proxyClose, boolean deprecated, io.vertx.codegen.processor.doc.Text deprecatedDesc, boolean methodOverride)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isProxyClose()` |
    `boolean` | `isProxyIgnore()` |

    - ### Methods inherited from class io.vertx.codegen.processor.MethodInfo

      `collectImports, compareTo, copy, getCallbackType, getComment, getDeprecatedDesc, getDoc, getKind, getName, getName, getOwnerTypes, getParam, getParams, getReturnDescription, getReturnType, getSignature, getTypeParams, isCacheReturn, isContainingAnyJavaType, isDefaultMethod, isDeprecated, isFluent, isMethodOverride, isNullableFutureReturn, isNullableReturn, isOwnedBy, isStaticMethod, mergeTypeParams, resolveClassTypeParam, resolveTypeArg, setCacheReturn, setComment, setDefaultMethod, setDeprecated, setDeprecatedDesc, setDoc, setFluent, setName, setOwnerTypes, setParams, setReturnDescription, setReturnType, setStaticMethod, setTypeParams, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProxyMethodInfo

          public ProxyMethodInfo​(Set<io.vertx.codegen.processor.type.ClassTypeInfo> ownerTypes,
                                 String name,
                                 io.vertx.codegen.processor.type.TypeInfo returnType,
                                 io.vertx.codegen.processor.doc.Text returnDescription,
                                 boolean fluent,
                                 boolean cacheReturn,
                                 List<io.vertx.codegen.processor.ParamInfo> params,
                                 String comment,
                                 io.vertx.codegen.processor.doc.Doc doc,
                                 boolean staticMethod,
                                 boolean defaultMethod,
                                 List<io.vertx.codegen.processor.TypeParamInfo.Method> typeParams,
                                 boolean proxyIgnore,
                                 boolean proxyClose,
                                 boolean deprecated,
                                 io.vertx.codegen.processor.doc.Text deprecatedDesc,
                                 boolean methodOverride)

  - ### Method Detail

    - #### isProxyIgnore

          public boolean isProxyIgnore()

    - #### isProxyClose

          public boolean isProxyClose()